
/*
 * author Jiří Zuzaňák
 * institution BUT FIT UPGM
 */

#ifndef __MAIN_H
#define __MAIN_H

%%include basic.cc
%%include struct.cc
%%include definitions.cc
%%include processor.cc
%%include process.cc

/*
 * main funkce
 */

int main(int argc,char **argv)
{
   mc_init();

   {
      if (argc <= 1) {
	 fprintf(stderr,"ERROR: need source code file name\n");
         mc_clear();
	 return 0;
      }

      processor_s proc;
      proc.init();
      proc.init_processor();

      proc.run(argv[1]);

      /*char dta_file_name[256];
      unsigned dta_file_name_length = snprintf(dta_file_name,256,"%s.dta",argv[1]);
      assert(dta_file_name_length < 256);

      proc.save_data(dta_file_name);*/

      proc.clear();
   }

   mc_clear();
}

#endif

